Skip to main content
GET
/
v2
/
chat-messages
Get metadata on all Chat Messages
curl --request GET \
  --url https://api.affinity.co/v2/chat-messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 1,
      "sentAt": "2023-01-01T00:00:00Z",
      "loggingType": "manual",
      "direction": "sent",
      "creator": {
        "id": 1,
        "firstName": "Jane",
        "lastName": "Doe",
        "primaryEmailAddress": "jane.smith@northpointvc.com",
        "type": "internal"
      },
      "createdAt": "2022-01-01T00:00:00Z",
      "updatedAt": "2023-01-01T00:00:00Z",
      "participantsPreview": {
        "data": [
          {
            "id": 1,
            "firstName": "Jane",
            "lastName": "Doe",
            "primaryEmailAddress": "jane.smith@northpointvc.com",
            "type": "internal"
          }
        ],
        "totalCount": 200
      }
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100
Example:

100

filter
string

Filter options

Response

OK

ChatMessagePaged model

data
interactions.ChatMessage · object[]
required

A page of ChatMessage results

Maximum array length: 100
pagination
Pagination · object
required